Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.eci.repository.ejb
Class XMLRepositoryBean

    java.lang.Object
      |
      +--com.bea.eci.repository.helper.RepositoryActions
            |
            +--com.bea.eci.repository.ejb.XMLRepositoryBean

public class XMLRepositoryBean
extends RepositoryActions
implements javax.ejb.SessionBean

A stateless session EJB that provides methods for accessing and manipulating the XML Entity Repository. The repository interaction is provided from the parent class.

The connection to the repository is specified using the EJB's environment variables. There are two methods available for connection to the repository: using a transactional data source, or using a JDBC connection directly. Only the data source method is supported - there is no guarentee that the JDBC method will work, as the JDBC connection is created from within the EJB. The environment variables are:

- "connection" - if "2-tier" the EJB will attempt to create a JDBC connection each time repository access is required - the "jdbc/" variable define how the connection is created. >anything_else< use the data source to access the repository - the data source's name is specified by "datasource/name".
- "jdbc/className" - the JDBC class of the driver for 2-tier connections. Example: "weblogic.jdbc.mssqlserver4.Driver"
- "jdbc/url" - the JDBC dirver URL for 2-tier connections. Example: "jdbc:weblogic:mssqlserver4"
- "jdbc/server" - the DB server to connect to when connecting in 2-tier mode. Example: "COLLAB@localhost:1433"
- "jdbc/user" - the DB user ID for the JDBC connection for 2-tier mode. Example: "collab"
- "jdbc/pswd" - the DBuser's password for 2-tier connections. Example: "collab"
- "datasource/name" - the name of the transactional data source to use for repository connections. This is the JNDI name of the datas ource. Example: "com.bea.wlpi.repository.TXDataSource"

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`XMLRepositoryBean()` Empty implementation.

Method Summary
`void` | `ejbActivate()` Empty implementation.
`void` | `ejbCreate()` Empty implementation.
`void` | `ejbPassivate()` Empty implementation.
`void` | `ejbRemove()` Empty implementation.
`java.util.List` | `getEnvVars()` Provides the values of the environment variables used by the EJB for connections to the repository.
`void` | `ping()` An empty method that allows clients to ensure that the EJB is active.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Set the object's `SessionContent` to the one provided.

Methods inherited from class com.bea.eci.repository.helper.RepositoryActions
`addChildFolder, addEntityToFolder, createEntity, createFolder, deleteEntity, deleteFolder, getAllEntities, getAllFolders, getChildDocs, getChildFolders, getEntity, getEntity, getFolderInfo, getFolderInfo, getObjectFolderTree, removeChildFolder, removeEntityFromFolder, renameEntity, renameFolder, updateEntity, updateFolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLRepositoryBean

    public XMLRepositoryBean()

  Empty implementation.

Method Detail

### ejbActivate

    public void ejbActivate()

  Empty implementation.
  Specified by:
    ejbActivate in interface javax.ejb.SessionBean

### ejbPassivate

    public void ejbPassivate()

  Empty implementation.
  Specified by:
    ejbPassivate in interface javax.ejb.SessionBean

### ejbRemove

    public void ejbRemove()

  Empty implementation.
  Specified by:
    ejbRemove in interface javax.ejb.SessionBean

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Set the object's `SessionContent` to the one provided.
  Specified by:
    setSessionContext in interface javax.ejb.SessionBean

  Parameters:
    `ctx` - the `SessionContent` this EJB will use.

### ejbCreate

    public void ejbCreate()

  Empty implementation.

### getEnvVars

    public java.util.List getEnvVars()

  Provides the values of the environment variables used by the EJB for connections to the repository.

  Returns:
    a `List` containing the values of the environment variables used by the EJB to connect to the repository. The variables' values will appear in the following order:
    - connection
    - datasource/name
    - jdbc/className
    - jdbc/url
    - jdbc/server

### ping

    public void ping()

  An empty method that allows clients to ensure that the EJB is active.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)